# $Revision: 1.20 $, $Date: 2005/09/06 21:24:09 $
Summary:	Contact manager for GNUstep
Summary(pl):	Zarzdca kontaktw dla GNUstepa
Name:		Addresses
Version:	0.4.6
Release:	5
License:	GPL
Group:		X11/Applications
#Source0Download: http://giesler.biz/bjoern/en/sw_addr.html
Source0:	http://giesler.biz/bjoern/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	916a20261663f78a4fcbd9cbea600851
Patch0:		%{name}-make.patch
URL:		http://giesler.biz/bjoern/en/sw_addr.html
BuildRequires:	gnustep-gui-devel >= 0.8.3
BuildRequires:	gnustep-extensions-devel >= 0.8.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
Contacts is an address book and address book service for GNUstep apps.

%description -l pl
Contacts to ksika adresowa oraz usuga ksiki adresowej dla
aplikacji GNUstepa.

%package devel
Summary:	Header files for Addresses service
Summary(pl):	Pliki nagwkowe dla usugi Addresses
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnustep-gui-devel >= 0.8.3

%description devel
Header files for Addresses service.

%description devel -l pl
Pliki nagwkowe dla usugi Addresses.

%prep
%setup -q -n %{name}-0.4.7
%patch0 -p1

find . -type d -name CVS | xargs rm -rf

# kill precompiled app
rm -rf AddressManager/AddressManager.app

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
TOPDIR="`pwd`"
GNUSTEP_LOCAL_ROOT="$RPM_BUILD_ROOT%{_prefix}/System"
%{__make} -j1 \
	OPTFLAG="%{rpmcflags} -I$RPM_BUILD_DIR/%{name}-%{version}" \
	debug=no \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT

. %{_prefix}/System/Library/Makefiles/GNUstep.sh
%{__make} -j1 install \
	GNUSTEP_INSTALLATION_DIR="$RPM_BUILD_ROOT%{_prefix}/System" \
	debug=no \
	messages=yes

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc TODO

%dir %{_prefix}/System/Applications/AddressManager.app
%dir %{_prefix}/System/Applications/AddressManager.app/%{gscpu}
%dir %{_prefix}/System/Applications/AddressManager.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/AddressManager.app/%{gscpu}/%{gsos}/%{libcombo}
%attr(755,root,root) %{_prefix}/System/Applications/AddressManager.app/%{gscpu}/%{gsos}/%{libcombo}/AddressManager
%{_prefix}/System/Applications/AddressManager.app/%{gscpu}/%{gsos}/%{libcombo}/*.openapp
%attr(755,root,root) %{_prefix}/System/Applications/AddressManager.app/AddressManager
%dir %{_prefix}/System/Applications/AddressManager.app/Resources
%{_prefix}/System/Applications/AddressManager.app/Resources/*.plist
%{_prefix}/System/Applications/AddressManager.app/Resources/*.desktop
%{_prefix}/System/Applications/AddressManager.app/Resources/*.tiff
%{_prefix}/System/Applications/AddressManager.app/Resources/English.lproj
%lang(nl) %{_prefix}/System/Applications/AddressManager.app/Resources/Dutch.lproj
%lang(fr) %{_prefix}/System/Applications/AddressManager.app/Resources/French.lproj
%lang(de) %{_prefix}/System/Applications/AddressManager.app/Resources/German.lproj
%lang(es) %{_prefix}/System/Applications/AddressManager.app/Resources/Spanish.lproj

%dir %{_prefix}/System/Library/Frameworks/Addresses.framework
%{_prefix}/System/Library/Frameworks/Addresses.framework/Resources
%dir %{_prefix}/System/Library/Frameworks/Addresses.framework/Versions
%dir %{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A
%attr(755,root,root) %{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A/%{gscpu}
%dir %{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A/Resources
%{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A/Resources/*.plist
%{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A/Resources/English.lproj
%lang(nl) %{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A/Resources/Dutch.lproj
%lang(fr) %{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A/Resources/French.lproj
%lang(de) %{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A/Resources/German.lproj
%lang(es) %{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A/Resources/Spanish.lproj

%{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/Current
%dir %{_prefix}/System/Library/Frameworks/AddressView.framework
%{_prefix}/System/Library/Frameworks/AddressView.framework/Resources
%dir %{_prefix}/System/Library/Frameworks/AddressView.framework/Versions
%dir %{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A
%attr(755,root,root) %{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/%{gscpu}
%dir %{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Resources
%{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Resources/*.dict
%{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Resources/*.plist
%{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Resources/*.tiff
%{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Resources/English.lproj
%lang(nl) %{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Resources/Dutch.lproj
%lang(fr) %{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Resources/French.lproj
%lang(de) %{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Resources/German.lproj
%lang(es) %{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Resources/Spanish.lproj
%{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/Current

%attr(755,root,root) %{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/*.so
%{_prefix}/System/Library/Frameworks/Addresses.framework/Headers
%{_prefix}/System/Library/Frameworks/Addresses.framework/Versions/A/Headers
%{_prefix}/System/Library/Frameworks/AddressView.framework/Headers
%{_prefix}/System/Library/Frameworks/AddressView.framework/Versions/A/Headers
%{_prefix}/System/Library/Headers/%{libcombo}/Addresses
%{_prefix}/System/Library/Headers/%{libcombo}/AddressView

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Addresses.spec,v $
Revision 1.20  2005/09/06 21:24:09  arekm
- rel 5

Revision 1.19  2005/09/06 21:19:25  glen
- make -j1 again
- fixed %install

Revision 1.18  2005/09/06 20:24:28  arekm
- rel 4

Revision 1.17  2004/11/07 23:27:05  qboosh
- release 3

Revision 1.16  2004/11/07 23:25:24  qboosh
- kill precompiled AddressManager.app to force (proper) rebuild

Revision 1.15  2004/11/07 21:47:37  havner
- [mass commit] rel up for rebuild

Revision 1.14  2004/10/31 21:05:34  qboosh
- noted download URL

Revision 1.13  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.12  2004/07/29 17:24:22  aredridel
- up to 0.4.6

Revision 1.11  2004/07/04 20:45:00  qboosh
- updated URL

Revision 1.10  2004/07/04 19:49:50  qboosh
- fixed build on amd64, release 2

Revision 1.9  2004/02/20 23:29:35  aredridel
- up to 0.4.5

Revision 1.8  2003/12/30 03:17:31  aredridel
- added BR: gnustep-extensions-devel

Revision 1.7  2003/12/30 00:09:12  qboosh
- -devel R: gnustep-gui-devel

Revision 1.6  2003/12/29 23:56:29  qboosh
- added make patch for linking w/o Addresses-devel already installed
- separated -devel, some fixes in files

Revision 1.5  2003/12/27 02:42:44  qboosh
- clean buildroot before install, not build

Revision 1.4  2003/12/27 02:14:27  aredridel
- up to 0.4.4
- NFU

Revision 1.3  2003/10/17 15:26:39  aredridel
- builds (ugly!)

Revision 1.2  2003/10/15 04:48:31  aredridel
- a stab at making go. still NFY.

Revision 1.1  2003/10/14 02:08:22  aredridel
- project renamed to "Addresses", up to 0.3.1

Revision 1.2  2003/10/12 12:20:17  qboosh
- pl, don't package CVS dirs

Revision 1.1  2003/10/02 05:49:51  aredridel
- added
